---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 7855981a-e7f4-5626-8b80-9ca6f03ed668
      tier: AATSR_CMP_MONTH
      value: 0.059922657907009125
    brdf:
      alpha_1:
        band_1: 0.34045870170130693
        band_11: 0.39708334893607866
        band_12: 0.24626602288146682
        band_2: 0.34097095607749117
        band_3: 0.5138674167374804
        band_4: 0.35722527210137967
        band_5: 0.35719522845403445
        band_6: 0.3571774423149993
        band_7: 0.8130609529424674
        band_8: 0.8130699691297941
        band_8a: 0.8130548517434375
      alpha_2:
        band_1: 0.15242089968329176
        band_11: 0.11082774091103567
        band_12: 0.12727920968708456
        band_2: 0.15237688431325555
        band_3: 0.12608834502222033
        band_4: 0.1461411671936086
        band_5: 0.14612563142903617
        band_6: 0.14613385335783272
        band_7: 0.04826485517236346
        band_8: 0.048257296770752474
        band_8a: 0.048265659497496005
      id:
      - 779dbbab-6822-5718-a7b8-f12f61d7a811
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 8d1a0236-36ea-52b5-ad07-386919ce9935
      tier: DEFINITIVE
      value: 0.329
    water_vapour:
      id:
      - 96d01d2c-db8a-5ef1-bd46-b1feed038438
      tier: DEFINITIVE
      value: 1.3699999809265138
  id: fb938c41-599b-4bfa-a4fd-b88b84ab855d
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1924.8946069658218
      BAND-11: 236.70539176739263
      BAND-12: 82.81507852244484
      BAND-2: 1976.2268863947734
      BAND-3: 1851.9206507579415
      BAND-4: 1511.6970573176302
      BAND-5: 1395.7324302093807
      BAND-6: 1276.0931848039254
      BAND-7: 1172.9971129175028
      BAND-8: 1031.3357634082793
      BAND-8A: 940.1943917359049
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2022-09-17 00:26:41.393221Z
    atime: 2022-11-07 20:02:43Z
    ctime: 2022-09-17 06:23:05Z
    mtime: 2022-09-17 06:23:00Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2022/2022-09/30S140E-35S145E/S2B_MSIL1C_20220917T002059_N0400_R116_T54HYG_20220917T015057.zip
  system_information:
    hostname: gadi-cpu-clx-2276.gadi.nci.org.au
    runtime_id: 23f8b00e-5ed7-11ed-80ca-00000095fe80
    time_processed: 2022-11-07 20:02:43.270965Z
    uname: 'Linux gadi-cpu-clx-2276.gadi.nci.org.au 4.18.0-372.26.1.el8.nci.x86_64
      #1 SMP Mon Sep 19 12:09:59 AEST 2022 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 0.0
    red: 30.0
    teal: 0.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 12
  granule: S2B_OPER_MSI_L1C_TL_2BPS_20220917T015057_A028885_T54HYG_N04.00
  ref_date: '2014-10-04T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/093/084/LC80930842014277LGN00_B6.TIF
  residual:
    abs:
      x: 31.51
      xy: 40.04
      y: 24.71
    abs_iterative_mean:
      x: 30.98
      xy: 40.59
      y: 26.23
    cep90: 43.11
    iterative_mean:
      x: -30.98
      xy: 40.59
      y: 26.23
    iterative_stddev:
      x: 2.22
      xy: 3.01
      y: 2.04
    mean:
      x: -31.51
      xy: 40.04
      y: 24.71
    stddev:
      x: 4.45
      xy: 6.1
      y: 4.17
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 25.082780379661195
    cloud: 71.03560588325263
    cloud_shadow: 1.8133356487444796
    snow: 1.8615667730477747
    water: 0.20671131529392964
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 1.3182639228329014
    cloud: 98.6817360771671
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.4
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
